org.faceless.pdf2.viewer2.feature

## Class ThumbnailPasteAction

- java.lang.Object
- - org.faceless.pdf2.viewer2.ViewerFeature
  - - org.faceless.pdf2.viewer2.feature.ThumbnailPasteAction

- All Implemented Interfaces:
    ThumbnailPanel.ThumbnailSelectionAction

      public class ThumbnailPasteAction
      extends ViewerFeature
      implements ThumbnailPanel.ThumbnailSelectionAction

  Moves the pages that have previously been stored with a cut operation to before the currently selected page in the thumbnail panel, and clears the list of such pages. The name of this feature is ThumbnailPaste

  This code is copyright the Big Faceless Organization. You're welcome to use, modify and distribute it in any form in your own projects, provided those projects continue to make use of the Big Faceless PDF library.

  Since:
    2.15

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThumbnailPasteAction()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Action` | `getAction(ThumbnailPanel.View view)` Return an Action for the specified View, or `null` if this action is not appropriate for the View (for example, because it edits the Document and the `ThumbnailPanel.View.isEditable()` method returns false
    `void` | `initialize(PDFViewer viewer)` Called when the feature is first added to a viewer

    - ### Methods inherited from class org.faceless.pdf2.viewer2.ViewerFeature

      `getAllEnabledFeatures, getAllFeatures, getCustomJavaScript, getFeatureProperty, getFeatureURLProperty, getName, isEnabledByDefault, setFeatureName, teardown, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ThumbnailPasteAction

          public ThumbnailPasteAction()

  - ### Method Detail

    - #### initialize

          public void initialize(PDFViewer viewer)

      Description copied from class: `ViewerFeature`
      Called when the feature is first added to a viewer
      Overrides:
        `initialize` in class `ViewerFeature`

    - #### getAction

          public Action getAction(ThumbnailPanel.View view)

      Description copied from interface: `ThumbnailPanel.ThumbnailSelectionAction`
      Return an Action for the specified View, or `null` if this action is not appropriate for the View (for example, because it edits the Document and the `ThumbnailPanel.View.isEditable()` method returns false
      Specified by:
        `getAction` in interface `ThumbnailPanel.ThumbnailSelectionAction`

Copyright © 2001-2015 Big Faceless Organization